Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » QSPI » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_qspi_init (qspi_handle_t *p_qspi)
| Initialize the QSPI according to the specified parameters in the qspi_init_t and initialize the associated handle. More...
hal_status_t | hal_qspi_deinit (qspi_handle_t *p_qspi)
| De-initialize the QSPI peripheral. More...
void | hal_qspi_msp_init (qspi_handle_t *p_qspi)
| Initialize the QSPI MSP. More...
void | hal_qspi_msp_deinit (qspi_handle_t *p_qspi)
| De-initialize the QSPI MSP. More...

## Detailed Description

Initialization and de-initialization functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the QSPIx peripheral:

          (+) User must implement hal_qspi_msp_init() function in which he configures
              all related peripherals resources (GPIO, DMA, IT and NVIC ).

          (+) Call the function hal_qspi_init() to configure the selected device with
              the selected configuration:
            (++) Clock Prescaler
            (++) Clock Mode

          (+) Call the function hal_qspi_deinit() to restore the default configuration
              of the selected QSPIx peripheral.

## Function Documentation

## ◆ hal_qspi_deinit()

hal_status_t hal_qspi_deinit | ( | qspi_handle_t * | p_qspi | ) |

De-initialize the QSPI peripheral.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_qspi_init()

hal_status_t hal_qspi_init | ( | qspi_handle_t * | p_qspi | ) |

Initialize the QSPI according to the specified parameters in the qspi_init_t and initialize the associated handle.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_qspi_msp_deinit()

void hal_qspi_msp_deinit | ( | qspi_handle_t * | p_qspi | ) |

De-initialize the QSPI MSP.

Note
  This function should not be modified. When the callback is needed, the hal_qspi_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.

## ◆ hal_qspi_msp_init()

void hal_qspi_msp_init | ( | qspi_handle_t * | p_qspi | ) |

Initialize the QSPI MSP.

Note
  This function should not be modified. When the callback is needed, the hal_qspi_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_qspi | Pointer to a QSPI handle which contains the configuration information for the specified QSPI module.